Subject: [p2prg] Literature References regarding heavy bandwidth consumers

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Wed, 21 Oct 2009 09:55:58 +0300

Hi all, 

When trying to find references about the impact of heavy bandwidth
consumers I was able to spot the following reference: 

K. Cho, K. Fukuda, H. Esaki, and A. Kato. "The impact and implications
of the growth in residential user-to-user traffic", SIGCOMM Comput.
Commun. Rev., 36(4):207-218, 2006.

It is a fairly good article and provides some interesting data points.
Is someone of you aware of similar references for other countries (or
more recent data)? 

Ciao
Hannes

---

From: Daniel Correa Lobato <[email-masked]>
Date: Wed, 21 Oct 2009 14:12:24 -0200

Hi,

Maybe these can help you...

Daniel

@INPROCEEDINGS{Dischinger.Haeberlen.ea-Characterizingresidentialbroadband-p43-2007,
  author = {Marcel Dischinger and Andreas Haeberlen and Krishna P. Gummadi and
	Stefan Saroiu},
  title = {{C}haracterizing residential broadband networks},
  booktitle = {IMC 2007: Proceedings of the 7th ACM SIGCOMM/USENIX conference on
	Internet measurement},
  year = {2007},
  editor = {Constantine Dovrolis and Matthew Roughan},
  pages = {43--56},
  address = {San Diego, CA, EUA},
  month = {Out},
  publisher = {ACM Press},
  isbn = {978-1-59593-908-1},
  abstract = {A large and rapidly growing proportion of users connect
to the Internet
	via residential broadband networks such as Digital Subscriber Lines
	(DSL) and cable. Residential networks are often the bottleneck in
	the last mile of today's Internet. Their characteristics critically
	affect Internet applications, including voice-over-IP, online games,
	and peer-to-peer content sharing/delivery systems. However, to date,
	few studies have investigated commercial broadband deployments, and
	rigorous measurement data that characterize these networks at scale
	are lacking. In this paper, we present the first large-scale measurement
	study of major cable and DSL providers in North America and Europe.
	We describe and evaluate the measurement tools we developed for this
	purpose. Our study characterizes several properties of broadband
	networks, including link capacities, packet round-trip times and
	jitter, packet loss rates, queue lengths, and queue drop policies.
	Our analysis reveals important ways in which residential networks
	differ from how the Internet is conventionally thought to operate.
	We also discuss the implications of our findings for many emerging
	protocols and systems, including delay-based congestion control (e.g.,
	PCP) and network coordinate systems (e.g., Vivaldi).},
  keywords = {broadband access networks, cable, dsl, network measurement},
  url = {http://dx.doi.org/10.1145/1298306.1298313}
}

@ARTICLE{MarquesNeto.Almeida.ea-characterizationofbroadband-p3-2004,
  author = {Humberto T. Marques{\space}Neto and Jussara M. Almeida and Leonardo
	C. D. Rocha and Wagner Meira and Pedro H. C. Guerra and Virgilio
	A. F. Almeida},
  title = {{A} characterization of broadband user behavior and their e-business
	activities},
  journal = {{SIGMETRICS} {P}erform. {E}val. {R}ev.},
  year = {2004},
  volume = {32},
  pages = {3--13},
  number = {3},
  month = {Dez},
  issn = {0163-5999},
  publisher = {ACM Press},
  abstract = {This paper presents a characterization of broadband user behavior
	from an Internet Service Provider standpoint. Users are broken into
	two major categories: residential and Small-Office/Home-Office (SOHO).
	For each user category, the characterization is performed along four
	criteria: (i) session arrival process, (ii) session duration, (iii)
	number of bytes transferred within a session and (iv) user request
	patterns.Our results show that both residential and SOHO session
	inter-arrival times are exponentially distributed. Whereas residential
	session arrival rates remain relatively high during the day, SOHO
	session arrival rates vary much more significantly during the day.
	On the other hand, a typical SOHO user session is longer and transfers
	a larger volume of data. Furthermore, our analysis uncovers two main
	groups of session request patterns within each user category. The
	first group consists of user sessions that use traditional Internet
	services, such as e-mail, instant messenger and, mostly, www services.
	On the other hand, sessions from the second group, a smaller group,
	use typically peer-to-peer file sharing applications, remain active
	for longer periods and transfer a large amount of data. Looking further
	into the e-business services most commonly accessed, we found that
	subscription-based and advertising services account for the vast
	majority of user HTTP requests in both residential and SOHO workloads.
	Understanding these user behavior patterns is important to the development
	of more efficient applications for broadband users.},
  address = {New York, NY, USA},
  url = {http://dx.doi.org/10.1145/1052305.1052308}
}

@INPROCEEDINGS{MarquesNeto.Rocha.ea-Characterizingbroadbanduser-p11-2004,
  author = {Humberto T. Marques{\space}Neto and Leonardo C. D. Rocha and Pedro
	H. C. Guerra and Jussara M. Almeida and Wagner Meira{\space}Jr. and
	Virgilio A. F. Almeida},
  title = {{C}haracterizing broadband user behavior},
  booktitle = {NRBC 2004: Proceedings of the 2004 ACM workshop on
Next-generation
	residential broadband challenges},
  year = {2004},
  editor = {Roger Zimmermann and Seon Ho Kim},
  pages = {11--18},
  address = {New York, NY, USA},
  month = {Out},
  publisher = {ACM Press},
  isbn = {1-58113-935-7},
  abstract = {This paper presents a characterization of broadband user behavior
	from a Internet service provider. Users are broken into two major
	categories: residential and Small-Office/Home-Office (SOHO). For
	each user category, the characterization is performed along four
	criteria: (i) session arrival process, (ii) session duration, (iii)
	number of bytes transferred within a session and (iv) user request
	patterns. Our results show that both residential and SOHO session
	inter-arrival times are exponentially distributed. Whereas residential
	session arrival rates remain relatively high during the day, SOHO
	session arrival rates vary much more significantly during the day.
	On the other hand, a typical SOHO user session is longer and transfers
	a larger volume of data. Furthermore, our analysis uncovers two main
	groups of session request patterns within each user category. Sessions
	from the first group use traditional Internet services, such as www,
	e-mail and instant messengers, and sessions from the second, a smaller
	group, use typically file sharing applications (peer-to-peer). This
	second group remains for longer periods and transfers a large amount
	of data. Understanding these user behavior patterns is important
	to the development of more efficient applications for broadband users.},
  url = {http://dx.doi.org/10.1145/1026763.1026767}
}

On Wed, Oct 21, 2009 at 04:55, Tschofenig, Hannes (NSN - FI/Espoo)
<[email-masked]> wrote:
> Hi all,
>
> When trying to find references about the impact of heavy bandwidth consumers
> I was able to spot the following reference:
>
> K. Cho, K. Fukuda, H. Esaki, and A. Kato. "The impact and implications of
> the growth in residential user-to-user traffic", SIGCOMM Comput. Commun.
> Rev., 36(4):207-218, 2006.
>
> It is a fairly good article and provides some interesting data points. Is
> someone of you aware of similar references for other countries (or more
> recent data)?
>
> Ciao
> Hannes
>
> _______________________________________________
> p2prg mailing list
> [email-masked]
> http://www.irtf.org/mailman/listinfo/p2prg
>
>

-- 
Daniel Correa LOBATO <[email-masked]>
http://www.lobato.org/daniel/
skype: dclobato || GPG Key
Sent from Sao Carlos, SP, Brazil

---

From: "Woundy, Richard" <[email-masked]>
Date: Wed, 21 Oct 2009 17:15:03 -0400

Some more recent data from Japan:

"Observing Slow Crustal Movement in Residential User Traffic", ACM
CoNEXT2008 (December 2008) paper:
http://www.iijlab.net/~kjc/papers/kjc-conext2008.pdf (DOI
http://doi.acm.org/10.1145/1544012.1544024) 

"Observing Slow Crustal Movement in Residential User Traffic", CAIDA
Workshop (August 2008) presentation:
http://www.caida.org/workshops/wide/0808/slides/residential_user_traffic
.pdf 

Here is a URL for the first paper in Daniel's list below:
http://www.imconf.net/imc-2007/papers/imc137.pdf. 

-- Rich

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Daniel Correa Lobato
Sent: Wednesday, October 21, 2009 12:12 PM
To: Tschofenig, Hannes (NSN - FI/Espoo); [email-masked]
Subject: Re: [p2prg] Literature References regarding heavy
bandwidthconsumers

Hi,

Daniel

@INPROCEEDINGS{Dischinger.Haeberlen.ea-Characterizingresidentialbroadban
d-p43-2007,
  author = {Marcel Dischinger and Andreas Haeberlen and Krishna P.
Gummadi and
	Stefan Saroiu},
  title = {{C}haracterizing residential broadband networks},
  booktitle = {IMC 2007: Proceedings of the 7th ACM SIGCOMM/USENIX
conference on
	Internet measurement},
  year = {2007},
  editor = {Constantine Dovrolis and Matthew Roughan},
  pages = {43--56},
  address = {San Diego, CA, EUA},
  month = {Out},
  publisher = {ACM Press},
  isbn = {978-1-59593-908-1},
  abstract = {A large and rapidly growing proportion of users connect
to the Internet
	via residential broadband networks such as Digital Subscriber
Lines
	(DSL) and cable. Residential networks are often the bottleneck
in
	the last mile of today's Internet. Their characteristics
critically
	affect Internet applications, including voice-over-IP, online
games,
	and peer-to-peer content sharing/delivery systems. However, to
date,
	few studies have investigated commercial broadband deployments,
and
	rigorous measurement data that characterize these networks at
scale
	are lacking. In this paper, we present the first large-scale
measurement
	study of major cable and DSL providers in North America and
Europe.
	We describe and evaluate the measurement tools we developed for
this
	purpose. Our study characterizes several properties of broadband
	networks, including link capacities, packet round-trip times and
	jitter, packet loss rates, queue lengths, and queue drop
policies.
	Our analysis reveals important ways in which residential
networks
	differ from how the Internet is conventionally thought to
operate.
	We also discuss the implications of our findings for many
emerging
	protocols and systems, including delay-based congestion control
(e.g.,
	PCP) and network coordinate systems (e.g., Vivaldi).},
  keywords = {broadband access networks, cable, dsl, network
measurement},
  url = {http://dx.doi.org/10.1145/1298306.1298313}
}

@ARTICLE{MarquesNeto.Almeida.ea-characterizationofbroadband-p3-2004,
  author = {Humberto T. Marques{\space}Neto and Jussara M. Almeida and
Leonardo
	C. D. Rocha and Wagner Meira and Pedro H. C. Guerra and Virgilio
	A. F. Almeida},
  title = {{A} characterization of broadband user behavior and their
e-business
	activities},
  journal = {{SIGMETRICS} {P}erform. {E}val. {R}ev.},
  year = {2004},
  volume = {32},
  pages = {3--13},
  number = {3},
  month = {Dez},
  issn = {0163-5999},
  publisher = {ACM Press},
  abstract = {This paper presents a characterization of broadband user
behavior
	from an Internet Service Provider standpoint. Users are broken
into
	two major categories: residential and Small-Office/Home-Office
(SOHO).
	For each user category, the characterization is performed along
four
	criteria: (i) session arrival process, (ii) session duration,
(iii)
	number of bytes transferred within a session and (iv) user
request
	patterns.Our results show that both residential and SOHO session
	inter-arrival times are exponentially distributed. Whereas
residential
	session arrival rates remain relatively high during the day,
SOHO
	session arrival rates vary much more significantly during the
day.
	On the other hand, a typical SOHO user session is longer and
transfers
	a larger volume of data. Furthermore, our analysis uncovers two
main
	groups of session request patterns within each user category.
The
	first group consists of user sessions that use traditional
Internet
	services, such as e-mail, instant messenger and, mostly, www
services.
	On the other hand, sessions from the second group, a smaller
group,
	use typically peer-to-peer file sharing applications, remain
active
	for longer periods and transfer a large amount of data. Looking
further
	into the e-business services most commonly accessed, we found
that
	subscription-based and advertising services account for the vast
	majority of user HTTP requests in both residential and SOHO
workloads.
	Understanding these user behavior patterns is important to the
development
	of more efficient applications for broadband users.},
  address = {New York, NY, USA},
  url = {http://dx.doi.org/10.1145/1052305.1052308}
}

@INPROCEEDINGS{MarquesNeto.Rocha.ea-Characterizingbroadbanduser-p11-2004
,
  author = {Humberto T. Marques{\space}Neto and Leonardo C. D. Rocha and
Pedro
	H. C. Guerra and Jussara M. Almeida and Wagner Meira{\space}Jr.
and
	Virgilio A. F. Almeida},
  title = {{C}haracterizing broadband user behavior},
  booktitle = {NRBC 2004: Proceedings of the 2004 ACM workshop on
Next-generation
	residential broadband challenges},
  year = {2004},
  editor = {Roger Zimmermann and Seon Ho Kim},
  pages = {11--18},
  address = {New York, NY, USA},
  month = {Out},
  publisher = {ACM Press},
  isbn = {1-58113-935-7},
  abstract = {This paper presents a characterization of broadband user
behavior
	from a Internet service provider. Users are broken into two
major
	categories: residential and Small-Office/Home-Office (SOHO). For
	each user category, the characterization is performed along four
	criteria: (i) session arrival process, (ii) session duration,
(iii)
	number of bytes transferred within a session and (iv) user
request
	patterns. Our results show that both residential and SOHO
session
	inter-arrival times are exponentially distributed. Whereas
residential
	session arrival rates remain relatively high during the day,
SOHO
	session arrival rates vary much more significantly during the
day.
	On the other hand, a typical SOHO user session is longer and
transfers
	a larger volume of data. Furthermore, our analysis uncovers two
main
	groups of session request patterns within each user category.
Sessions
	from the first group use traditional Internet services, such as
www,
	e-mail and instant messengers, and sessions from the second, a
smaller
	group, use typically file sharing applications (peer-to-peer).
This
	second group remains for longer periods and transfers a large
amount
	of data. Understanding these user behavior patterns is important
	to the development of more efficient applications for broadband
users.},
  url = {http://dx.doi.org/10.1145/1026763.1026767}
}

> When trying to find references about the impact of heavy bandwidth
consumers
> K. Cho, K. Fukuda, H. Esaki, and A. Kato. "The impact and implications
of
> It is a fairly good article and provides some interesting data points.
Is

---

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Sun, 25 Oct 2009 08:56:25 +0200

Hi Rich, 
Hi Daniel, 

After browsing through the listed paper I believe that the only really
usable data is availale for Japan. In order to come to the data I would
be looking for (namely the amount of consumed bandwidth of the top X% of
users) one needs cooperation by the network operator. This is obviously
difficult to get. 

The paper "Observing Slow Crustal Movement in Residential User Traffic",
(December 2008) at least claims that "The distribution has not changed
much from 2005 to 2008; the overall traffic is still dictated by a small
group.". This paper refers to the situation in Japan only. 

Ciao
Hannes 

>From: ext Woundy, Richard [mailto:[email-masked]] 
>Sent: 22 October, 2009 00:15
>To: Daniel Correa Lobato; Tschofenig, Hannes (NSN - FI/Espoo); 
>[email-masked]
>Subject: RE: [p2prg] Literature References regarding heavy 
>bandwidthconsumers
>
>"Observing Slow Crustal Movement in Residential User Traffic", 
>CAIDA Workshop (August 2008) presentation:
>From: [email-masked] [mailto:[email-masked]] 
>On Behalf Of Daniel Correa Lobato
>  abstract = {A large and rapidly growing proportion of users 
>connect to the Internet
>  booktitle = {NRBC 2004: Proceedings of the 2004 ACM workshop 
>on Next-generation
>On Wed, Oct 21, 2009 at 04:55, Tschofenig, Hannes (NSN - 
>FI/Espoo) <[email-masked]> wrote:
>> Hi all,
>>
>Daniel Correa LOBATO <[email-masked]> http://www.lobato.org/daniel/

---

From: "Woundy, Richard" <[email-masked]>
Date: Sun, 25 Oct 2009 18:05:13 -0400

>In order to come to the data I would be looking for (namely the amount of consumed bandwidth of the top X% of
users) one needs cooperation by the network operator. This is obviously difficult to get.

I agree. Here is one project that is trying to fill that gap: http://mitas.csail.mit.edu/. They are just getting started.
 
-- Rich

________________________________

From: Tschofenig, Hannes (NSN - FI/Espoo) [mailto:[email-masked]]
Sent: Sun 10/25/2009 2:56 AM
To: Woundy, Richard; Daniel Correa Lobato; [email-masked]
Subject: RE: [p2prg] Literature References regarding heavy bandwidthconsumers

Hi Rich,
Hi Daniel,

Ciao
Hannes